> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Create customer address

POST https://integrators.prod.api.tabsplatform.com/v3/customers/{id}/address
Content-Type: application/json

Reference: https://docs.tabs.com/api-reference/customers/createAddress

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/customers/{id}/address:
    post:
      operationId: integrators-api-customers-controller-create-address
      summary: Create customer address
      tags:
        - customers
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Created address
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Customers_IntegratorsApiCustomersController_createAddress_Response_200
        '400':
          description: Top level customers cannot be modified
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpsertAddressV3Dto'
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    UpsertAddressV3Dto:
      type: object
      properties:
        line1:
          type: string
          description: Primary street address
        line2:
          type: string
          description: Secondary address line (apt, suite, etc)
        postalCode:
          type: string
          description: Postal/ZIP code
        city:
          type: string
          description: City name
        state:
          type: string
          description: State/province name
        country:
          type: string
          description: Country Code
        addressee:
          type: string
          description: Name of recipient/addressee
        isDefaultBilling:
          type: boolean
          description: Is default billing address
        isDefaultShipping:
          type: boolean
          description: Is default shipping address
      required:
        - line1
        - postalCode
        - city
        - state
        - isDefaultBilling
        - isDefaultShipping
      title: UpsertAddressV3Dto
    Customers_IntegratorsApiCustomersController_createAddress_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Customers_IntegratorsApiCustomersController_createAddress_Response_200
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Request**

```json
{
  "line1": "456 Elm Street",
  "postalCode": "94107",
  "city": "San Francisco",
  "state": "CA",
  "isDefaultBilling": false,
  "isDefaultShipping": true
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/customers/id/address"

payload = {
    "line1": "456 Elm Street",
    "postalCode": "94107",
    "city": "San Francisco",
    "state": "CA",
    "isDefaultBilling": False,
    "isDefaultShipping": True
}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/customers/id/address';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"line1":"456 Elm Street","postalCode":"94107","city":"San Francisco","state":"CA","isDefaultBilling":false,"isDefaultShipping":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/customers/id/address"

	payload := strings.NewReader("{\n  \"line1\": \"456 Elm Street\",\n  \"postalCode\": \"94107\",\n  \"city\": \"San Francisco\",\n  \"state\": \"CA\",\n  \"isDefaultBilling\": false,\n  \"isDefaultShipping\": true\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/customers/id/address")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"line1\": \"456 Elm Street\",\n  \"postalCode\": \"94107\",\n  \"city\": \"San Francisco\",\n  \"state\": \"CA\",\n  \"isDefaultBilling\": false,\n  \"isDefaultShipping\": true\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://integrators.prod.api.tabsplatform.com/v3/customers/id/address")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"line1\": \"456 Elm Street\",\n  \"postalCode\": \"94107\",\n  \"city\": \"San Francisco\",\n  \"state\": \"CA\",\n  \"isDefaultBilling\": false,\n  \"isDefaultShipping\": true\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://integrators.prod.api.tabsplatform.com/v3/customers/id/address', [
  'body' => '{
  "line1": "456 Elm Street",
  "postalCode": "94107",
  "city": "San Francisco",
  "state": "CA",
  "isDefaultBilling": false,
  "isDefaultShipping": true
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/customers/id/address");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"line1\": \"456 Elm Street\",\n  \"postalCode\": \"94107\",\n  \"city\": \"San Francisco\",\n  \"state\": \"CA\",\n  \"isDefaultBilling\": false,\n  \"isDefaultShipping\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "line1": "456 Elm Street",
  "postalCode": "94107",
  "city": "San Francisco",
  "state": "CA",
  "isDefaultBilling": false,
  "isDefaultShipping": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/customers/id/address")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```